#ifndef CXXOMFORT_IMPL_ENUMMETA_HPP
#define CXXOMFORT_IMPL_ENUMMETA_HPP

#include <cxxomfort/base.hpp>
#include <cxxomfort/cstddef.hpp>
#include <cxxomfort/impl/11-conditional.hpp>
#include <cxxomfort/type_traits.hpp>

namespace cxxomfort { namespace impl {

template <typename T, typename=void>
struct enum_traits {
};

template <typename T, typename std::enable_if<std::is_enum<T> >::type>
struct enum_traits<T> {
    enum { is_enum = true };
    enum { is_scoped = false };
    enum { is_native = true };
    typedef T enum_type;
    typedef typename std::underlying_type<T>::type underlying_type;
};


} }

#endif
