#ifndef CXXOMFORT_IMPL_USING_tr1_type_traits_HPP
#define CXXOMFORT_IMPL_USING_tr1_type_traits_HPP

// for tr1 we bring at least the basic type traits
#if (CXXOMFORT_CXX_STD < 2011 && CXXO_COMPILER_SUPPORT_tr1_type_traits) 
	#if (CXXOFLAG_directory_tr1)
		#include <tr1/type_traits>
	#else
		#include <type_traits>
	#endif

namespace std {
    using tr1::integral_constant;
    using tr1::false_type;
    using tr1::true_type;
    using tr1::is_same;
    using tr1::is_integral;
    using tr1::is_floating_point;
    using tr1::is_arithmetic;
    using tr1::is_signed;
    using tr1::is_unsigned;
    using tr1::is_void;
    using tr1::is_fundamental;
    using tr1::is_compound;
    using tr1::is_const;
    using tr1::add_const;
    using tr1::remove_const;
    using tr1::is_volatile;
    using tr1::add_volatile;
    using tr1::remove_volatile;
    using tr1::remove_cv;
    using tr1::is_reference;
    using tr1::add_reference;
    using tr1::remove_reference;
    using tr1::is_pointer;
    using tr1::add_pointer;
    using tr1::remove_pointer;
    using tr1::is_function;
    using tr1::is_enum;
    using tr1::is_member_function_pointer;
    using tr1::is_member_object_pointer;
    using tr1::is_member_pointer;
    using tr1::is_array;
    using tr1::rank;
    using tr1::extent;
    using tr1::remove_extent;
    using tr1::is_convertible;
    using tr1::is_class;
    using tr1::is_union;
    using tr1::is_scalar;
    using tr1::is_object;
    using tr1::is_empty;
    using tr1::is_pod;
    using tr1::is_abstract;
    using tr1::is_polymorphic;
    using tr1::is_base_of;
    
    
}

#endif

#endif
