#ifndef CXXOMFORT_CONFIG_HPP
    #error "This file should only be #included via <cxxomfort/config.hpp>"
#endif
/**
 * @file
 */

#ifndef CXXOMFORT_CONFIG_C_HAS_HPP
#define CXXOMFORT_CONFIG_C_HAS_HPP

/*
 * Starting with cxxomfort 0.6, headers also provide a macro describing the 
 * support of feature they implement. 
 */

//! Value returned for feature macro when cxxomfort is redirecting the feature to the compiler's native implementation.
#define CXXO_IMPLSTATUS_NATIVE() (2001u)
//! Value returned for feature macro when cxxomfort is implementing a backport.
#define CXXO_IMPLSTATUS_BACKPORT() (1001u)
//! Value returned for feature macro when cxxomfort provides an emulation.
#define CXXO_IMPLSTATUS_EMULATION() (101u)
#define CXXO_IMPLSTATUS_LIBRARY() (11u)



#endif
