// note this header intentionally doesn't carry header guards

address_family_not_supported =EAFNOSUPPORT,
address_in_use =EADDRINUSE,
address_not_available =EADDRNOTAVAIL,
already_connected =EISCONN,
argument_list_too_long =E2BIG, //!< The argument list for the new process is too big.
argument_out_of_domain =EDOM, //!< Argument of numerical type is outside of the domain of the function.
bad_address =EFAULT, //!< The argument of a function call is an invalid memory address.
bad_file_descriptor =EBADF, //!< A file descriptor argument refers to a file not open, or a file open with incomplete permissions.
bad_message =EBADMSG,
broken_pipe =EPIPE, //!< Attempt to write on a pipe for which there is no reading process.
connection_aborted =ECONNABORTED,
connection_already_in_progress =EALREADY,
connection_refused =ECONNREFUSED,
connection_reset =ECONNRESET,
cross_device_link =EXDEV,
destination_address_required =EDESTADDRREQ,
device_or_resource_busy =EBUSY,
directory_not_empty =ENOTEMPTY, //!< Attempt to remove a directory that still has filesystem entities.
executable_format_error =ENOEXEC,
file_exists =EEXIST, //!< Attempt to create a file when such a file already exists.
file_too_large =EFBIG, //!< The size of a file exceeded the allowed maximum.
filename_too_long =ENAMETOOLONG, //!< A path name, or a component of a path name, is too long.
function_not_supported =ENOSYS,
host_unreachable =EHOSTUNREACH,
identifier_removed =EIDRM,
illegal_byte_sequence =EILSEQ, //!< Illegal byte sequence for a given multibyte character encoding.
inappropriate_io_control_operation =ENOTTY,
interrupted =EINTR,
invalid_argument =EINVAL, //!< A supplied argument is invalid.
invalid_seek =ESPIPE, //!< A seek was attempted on a pipe or a sequential file entity.
io_error =EIO, //!< A physical input or output error occurred.
is_a_directory =EISDIR, //!< A file operation was requested on a directory entity.
message_size =EMSGSIZE,
network_down =ENETDOWN, //!< Network found to be down during a eg.: socket operation.
network_reset =ENETRESET, 
network_unreachable =ENETUNREACH, //!< Network found to be unreachable during a eg.: socket operation.
no_buffer_space =ENOBUFS,
no_child_process =ECHILD,
no_link =ENOLINK,
no_lock_available =ENOLCK,
no_message_available =ENODATA,
no_message =ENOMSG,
no_protocol_option =ENOPROTOOPT,
no_space_on_device =ENOSPC, //!< Allocation of space in the filesystem for the given entity failed.
no_stream_resources =ENOSR,
no_such_device_or_address =ENXIO,
no_such_device =ENODEV, //!< The requested device was not found.
no_such_file_or_directory =ENOENT, //!< A filesystem entity for the given path was not found.
no_such_process =ESRCH,
not_a_directory =ENOTDIR,
not_a_socket =ENOTSOCK,
not_a_stream =ENOSTR,
not_connected =ENOTCONN,
not_enough_memory =ENOMEM, //!< Not enough memory could be allocated for the process.
not_supported =ENOTSUP,
operation_canceled =ECANCELED,
operation_in_progress =EINPROGRESS,
operation_not_permitted =EPERM, //!< Operation not permitted. An operation has been limited to processes with the appropriate privileges.
operation_not_supported =EOPNOTSUPP,
operation_would_block =EWOULDBLOCK,
owner_dead =EOWNERDEAD,
permission_denied =EACCES, //!< A file can not be accessed with the current permissions.
protocol_error =EPROTO,
protocol_not_supported =EPROTONOSUPPORT,
read_only_file_system =EROFS,
resource_deadlock_would_occur =EDEADLK,
resource_unavailable_try_again =EAGAIN, //!< The requested resource is currently unavailable; try later.
result_out_of_range =ERANGE, //!< Result of the function is outside of the return type range.
state_not_recoverable =ENOTRECOVERABLE,
stream_timeout =ETIME,
text_file_busy =ETXTBSY,
timed_out =ETIMEDOUT, //!< A data send failed because the remote took too long to respond.
too_many_files_open_in_system =ENFILE,
too_many_files_open =EMFILE,
too_many_links =EMLINK,
too_many_symbolic_link_levels =ELOOP,
value_too_large =EOVERFLOW, //! A temporary calculation resulted in arithmetic overflow.
wrong_protocol_type =EPROTOTYPE ,
